Skip to main content
GET
/
calls
/
{sessionId}
Get Call
curl --request GET \
  --url https://{appId}.call-{region}.cometchat.io/v3.0/calls/{sessionId} \
  --header 'apiKey: <api-key>'
"{\n    \"data\": [\n        {\n            \"sessionId\": \"v1.eu.2574867aa2e6e417.17158459999d7fa95b1b4faea599f11eb5ecf07611b0b335c3\",\n            \"totalAudioMinutes\": 0,\n            \"totalVideoMinutes\": 0,\n            \"totalDuration\": \"00:00:00\",\n            \"hasRecording\": false,\n            \"initiatedAt\": 1715845999,\n            \"initiator\": \"superhero1\",\n            \"mode\": \"call\",\n            \"receiver\": \"superhero2\",\n            \"receiverType\": \"user\",\n            \"status\": \"initiated\",\n            \"totalDurationInMinutes\": 0,\n            \"totalParticipants\": 0,\n            \"type\": \"audio\",\n            \"participants\": [\n                {\n                    \"uid\": \"superhero1\",\n                    \"totalAudioMinutes\": 0,\n                    \"totalVideoMinutes\": 0,\n                    \"isJoined\": false,\n                    \"totalDurationInMinutes\": 0,\n                    \"name\": \"Iron Man\",\n                    \"avatar\": \"https://data-eu.cometchat.io/assets/images/avatars/ironman.png\"\n                },\n                {\n                    \"uid\": \"superhero2\",\n                    \"totalAudioMinutes\": 0,\n                    \"totalVideoMinutes\": 0,\n                    \"isJoined\": false,\n                    \"state\": \"unanswered\",\n                    \"totalDurationInMinutes\": 0,\n                    \"name\": \"Captain America\",\n                    \"avatar\": \"https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png\"\n                }\n            ],\n            \"data\": {\n                \"entities\": {\n                    \"initiator\": {\n                        \"entity\": {\n                            \"uid\": \"superhero1\",\n                            \"name\": \"Iron Man\",\n                            \"avatar\": \"https://data-eu.cometchat.io/assets/images/avatars/ironman.png\"\n                        }\n                    },\n                    \"receiver\": {\n                        \"entity\": {\n                            \"uid\": \"superhero2\",\n                            \"name\": \"Captain America\",\n                            \"avatar\": \"https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png\"\n                        }\n                    }\n                }\n            }\n        }\n    ]\n}"

Documentation Index

Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required

Headers

onBehalfOf
string

UID of the user on whose behalf the action is performed.

Path Parameters

sessionId
string
required

Call to Retreive

Response

200

data
object[]